'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var t = _ref.types;

  var DEV_EXPRESSION = t.binaryExpression('===', t.memberExpression(t.memberExpression(t.identifier('process'), t.identifier('env'), false), t.identifier('NODE_ENV'), false), t.stringLiteral('development'));

  var PROD_EXPRESSION = t.binaryExpression('===', t.memberExpression(t.memberExpression(t.identifier('process'), t.identifier('env'), false), t.identifier('NODE_ENV'), false), t.stringLiteral('production'));

  return {
    visitor: {
      Identifier: {
        enter: function enter(path) {
          // replace __DEV__ with process.env.NODE_ENV === 'development'
          if (path.isIdentifier({ name: '__DEV__' })) {
            path.replaceWith(DEV_EXPRESSION);
          }
          // replace __PROD__ with process.env.NODE_ENV === 'production'
          if (path.isIdentifier({ name: '__PROD__' })) {
            path.replaceWith(PROD_EXPRESSION);
          }
        }
      }
    }
  };
};